Page MenuHomeFreeBSD

devel/picojson: New port
ClosedPublic

Authored by james.wright_digital-chaos.com on Apr 13 2019, 3:14 PM.

Details

Summary

Created a new port: devel/picojson

Bugzilla:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237262

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

tcberner requested changes to this revision.Apr 13 2019, 3:26 PM
tcberner added a subscriber: tcberner.

The port needs to be hooked into devel/Makefile

devel/picojson/Makefile
9

^ don't add new ports without a maintainer.

This revision now requires changes to proceed.Apr 13 2019, 3:26 PM

Added picojson subdirectory to devel/Makefile
Added myself as maintainer of this port

tobik requested changes to this revision.Apr 14 2019, 6:07 AM
tobik added a subscriber: tobik.
tobik added inline comments.
devel/picojson/Makefile
15–16

Wrong place in the Makefile. See 15. Order of Variables in Port Makefiles.

Move the options block below ALL_TARGET.

21

Looking at picojson's Makefile [1] it does not seem to build anything and this will cause
the tests to run during a normal package build which we normally do not do, so maybe set NO_BUILD=yes and TEST_TARGET=check instead.

[1] https://github.com/kazuho/picojson/blob/v1.3.0/Makefile

This revision now requires changes to proceed.Apr 14 2019, 6:07 AM
james.wright_digital-chaos.com marked an inline comment as done.

Updated Makefile as suggested by tobik;
Removed ALL_TARGET=
Added NO_BUILD= yes
Added TEST_TARGET= check
Moved 'OPTIONS' variables down for correct ordering

Updated pkg-desc;
Shortened a line that was > 80 chars

james.wright_digital-chaos.com marked 2 inline comments as done.Apr 14 2019, 2:35 PM
james.wright_digital-chaos.com added inline comments.
devel/picojson/Makefile
15–16

Thanks for the feedback, I didn't notice the wrong ordering as the portlint run was clean!

tobik accepted this revision.Apr 14 2019, 6:53 PM
tobik added inline comments.
devel/picojson/pkg-descr
5

typo: frendly -> friendly

james.wright_digital-chaos.com marked an inline comment as done.

Fixed typo in pkg-descr.

james.wright_digital-chaos.com marked an inline comment as done.Apr 14 2019, 9:09 PM

Are there any further changes that this port needs, or can it be merged?

This revision is now accepted and ready to land.Apr 19 2019, 7:19 AM
This revision was automatically updated to reflect the committed changes.